Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class Link

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.Link

    class Link

Authors:
  Hans Dockter

Property Summary
`String` | `location`
`String` | `locationUri`
`String` | `name`
`String` | `type`

Constructor Summary
`Link(String name, String type, String location, String locationUri)`

Method Summary
`boolean` | `equals(def o)`
`int` | `hashCode()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### location

    String location

### locationUri

    String locationUri

### name

    String name

### type

    String type

Constructor Detail

### Link

    Link(String name, String type, String location, String locationUri)

Method Detail

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

Gradle API 1.1-rc-1